PSSR_MEM< ALLOW_RECOVERY, MGF, SALT_LEN, MIN_PAD_LEN, USE_HASH_ID > Class Template Reference

PSSR Message Encoding Method. More...

`#include <pssr.h>`

Inheritance diagram for PSSR_MEM< ALLOW_RECOVERY, MGF, SALT_LEN, MIN_PAD_LEN, USE_HASH_ID >:

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

template<bool ALLOW_RECOVERY, class MGF = P1363_MGF1, int SALT_LEN = -1, int MIN_PAD_LEN = 0, bool USE_HASH_ID = false>
class PSSR_MEM< ALLOW_RECOVERY, MGF, SALT_LEN, MIN_PAD_LEN, USE_HASH_ID >

PSSR Message Encoding Method.

Template Parameters

  ALLOW_RECOVERY | flag indicating whether the scheme provides message recovery
  MGF | mask generation function
  SALT_LEN | length of the salt
  MIN_PAD_LEN | minimum length of the pad
  USE_HASH_ID | flag indicating whether the HashId is used

If ALLOW_RECOVERY is true, the signature scheme provides message recovery. If ALLOW_RECOVERY is false, the signature scheme is appendix, and the message must be provided during verification.

Since
  Crypto++ 2.1

Definition at line 74 of file pssr.h.

## Member Function Documentation

## StaticAlgorithmName()

template<bool ALLOW_RECOVERY, class MGF = P1363_MGF1, int SALT_LEN = -1, int MIN_PAD_LEN = 0, bool USE_HASH_ID = false>

static std::string PSSR_MEM< ALLOW_RECOVERY, MGF, SALT_LEN, MIN_PAD_LEN, USE_HASH_ID >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 82 of file pssr.h.

The documentation for this class was generated from the following file:

- pssr.h